
QGIS Application - Bug report #21123

QGIS crashes whenever I try to download the map as an image

2019-01-29 08:45 PM - Anna Kear

Status: Open

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.3 Regression?: No

Operating System: Win. 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28941

Description

Please see title, and [[https://gis.stackexchange.com/questions/310361/exporting-image-from-qgis-3-always-crashes|here]] for more

details: the following link.

----BELOW IS THE CRASH REPORT----

Crash ID: 45838b8fc88db276e2db35f0f3c171b4f2c66a90

Stack Trace

QTextOption::wrapMode :

QTextOption::wrapMode :

QVectorPath::convertToPainterPath :

QVectorPath::convertToPainterPath :

QRasterPaintEngine::rasterBuffer :

QRasterPaintEngine::rasterBuffer :

QRasterPaintEngine::fillPolygon :

QRasterPaintEngine::drawPolygon :

QPainter::drawPolygon :

QgsFillSymbolLayer::_renderPolygon :

QgsSimpleFillSymbolLayer::renderPolygon :

QgsFillSymbol::renderPolygonUsingLayer :

QgsFillSymbol::renderPolygon :

QgsSymbol::renderFeature :

QgsFeatureRenderer::renderFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::start :

QgsMapRendererCustomPainterJob::renderSynchronously :

QgsMapRendererTask::run :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.3-Madeira

QGIS code revision: 2f64a3c4e7

2024-03-13 1/3

https://gis.stackexchange.com/questions/310361/exporting-image-from-qgis-3-always-crashes|here


Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

History

#1 - 2019-01-30 11:23 AM - Giovanni Manghi

- Category changed from Rasters to Unknown

- Status changed from Open to Feedback

Please try with a new/clean profile and 3.4.4.

#2 - 2019-01-30 07:13 PM - Anna Kear

- Status changed from Feedback to Open

3.4.4 has the same problem...

#3 - 2019-01-30 07:47 PM - Giovanni Manghi

Anna Kear wrote:

3.4.4 has the same problem...

new/clean profile (no 3rd party plugins installed)?

#4 - 2019-01-30 10:22 PM - Anna Kear

yeuppe.

#5 - 2019-01-30 10:23 PM - Anna Kear

Have never had any add-on's/extensions, in fact.

#6 - 2019-01-30 10:26 PM - Giovanni Manghi

Anna Kear wrote:

yeuppe.
means no crash?

#7 - 2019-01-30 10:27 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you share a project & data which we can use to reproduce the issue?

#8 - 2019-01-30 10:50 PM - Anna Kear

Meaning I have never had any un-clean version, yet it still, always, manages to crash in on itself.

#9 - 2019-01-30 10:52 PM - Anna Kear

- Status changed from Feedback to Open

Neil, thanks for responding. As the example I'm using right now contains sensitive information and corporate material, is there anywhere I can hand it over

to you privately, like an email address? And please do not share it with anyone other than the team working to fix this. Kind regards, Anna.

#10 - 2019-01-30 11:24 PM - Nyall Dawson

Yes - send it to nyall.dawson@gmail.com.
